<?php if(!defined('master_script')) die();

/**
 * Copyright (C) Nico Wenig
 * All rights reserved
 *
 * @author     Nico Wenig <nico.wenig@yellowgreen.de>
 * @filesource
 */



/**
 * Load extension
 *
 * @category   Extension (overload)
 * @author     Nico Wenig <nico.wenig@yellowgreen.de>
 * @version	   2009-05-31
 */

	if(isset($_GET['backend'])) {
		connector('system tray top', 'overload');
		
		function overload() {
			global $system_data, $connectors;
			
			// Show bug symbol
			if(count($connectors, 1) > 100) {
				include_txt('overload', $system_data['folder']['extensions'] . 'overload/languages/');
				
				connector('settings extensions before', 'message_extensions_overload');
				
				function message_extensions_overload() {
					echo '<p class="error">' . txt('overload', 'ACHTUNG: Es sind zu viele Erweiterungen aktiviert, was zur Überlastung und Instabilität des Systems führen kann. Sie sollten einige Erweiterungen deaktivieren.') . '</p>';
				}
			
				echo '
					<a href="index.php?backend=settings&amp;area=extensions" title="' . txt('overload', 'ACHTUNG: Es sind zu viele Erweiterungen aktiviert, was zur Überlastung und Instabilität des Systems führen kann. Sie sollten einige Erweiterungen deaktivieren.') . '">
						<img style="margin-bottom: -3px" src="' . $system_data['folder']['plugins'] . 'icons/bomb.png" alt="System overload">
					</a>
				';
			}
		}
	}
	
?>